summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/test-list-uptodate9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/tests/test-list-uptodate b/tests/tests/test-list-uptodate
new file mode 100755
index 0000000..a2b4c5b
--- /dev/null
+++ b/tests/tests/test-list-uptodate
@@ -0,0 +1,9 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+: "just verifies internal consistency of test suite"
+
+cd $root
+$troot/list-tests gencontrol >$tmp/control-expected
+diff debian/tests/control $tmp/control-expected